Draft Scale/es

From FreeCAD Documentation
Revision as of 08:17, 20 March 2018 by Dobby127 (talk | contribs)
Jump to navigation Jump to search

Draft Scale.svg Draft Scale

Ubicación en el Menú
Croquis -> Escala
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
S C
Introducido en versión
-
Ver también
None


Descripción

Esta herramienta escala los objetos seleccionados con respecto a un punto base. Si no se han seleccionado objetos, te invitará a seleccionarlos.

Draft Scale example.jpg

Utilización

  1. Selecciona los objetos que quieres escalar
  2. Presiona el botón Draft Scale.png Escala, o presiona las teclas S y C
  3. Indica un primer punto en la vista 3D, o escribe unas coordenadas
  4. Indica otro punto en la vista 3D, o escribe unas coordenadas

Opciones

  • Para introducir coordenadas manualmente, simplemente introduce los números, presiona ENTER entre cada componente X, Y y Z.
  • Las componentes X, Y, Z del segundo punto definen el factor de escala. Por ejemplo, (1,1,1) no hará nada, (2,2,2) utilizará un factor de escala scale 2x en todas las direcciones, (-1,1,1) hará una simetría en la dirección X.
  • Presionando ALT o C o pulsando el botón Copiar se creará una copia de los objetos, en lugar de escalar los originales. Si mantienes presionada ALT después de indicar el segundo punto, podrás crear más copias, hasta que liberes la tecla ALT.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
  • Presionando SHIFT se bloqueará la relación de las coordenadas X e Y, de modo que la forma no se distorsione.
  • Presionando ESC o el botón Cancelar para abortar el comando actual.
  • El objeto resultante es una clonación, que permite cambiar el valor de escala después de que se ha creado.

Programación

La herramienta de Escalar se puede utilizar en macros y desde la consola de Python utilizando la siguiente instrucción:

scale (objects,vector,[center,copy,legacy])
  • Escala los objetos contenidos en objects (que pueden ser una lista de objetos o un objeto) por los factores de escala definidos por el vector dado (en direcciones X, Y y Z) con respecto al centro dado.
  • Si legacy es True, se utiliza el modo directo (antiguo), en caso contrario se crea una copia paramétrica.
  • Si copy es True, los objetos en realidad no se mueven sino que se crean copias en su lugar.
  • Devuelve los objetos (o sus copias).

Ejemplo:

import FreeCAD,Draft
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский